stages:
  - build-release
  - build
  - test

build-plugin-release:
  image: $CI_REGISTRY/mwestphal/paraview-super-build/paraview_release_for_ci:5.10.0
  stage: build-release
  script:
    - ln -s /paraview/gitlab-kitware-sciviz-ci/ /builds/gitlab-kitware-sciviz-ci
    - mkdir -p build
    - cd build
    - cmake -DParaView_DIR=/builds/gitlab-kitware-sciviz-ci/build/install/lib/cmake/paraview-5.10/ ..
    - cmake --build . --config Release --parallel 2
  tags: 
    - docker
  artifacts:
    expire_in: 1h
    when: always
    paths:
      - build/

build-plugin:
  image: $CI_REGISTRY/visualization/paraview-image-builder/paraview_master
  stage: build
  script:
    - mkdir -p build
    - cd build
    - cmake -DParaView_DIR=/paraview_build/bin/paraview -DBUILD_TESTING=ON ..
    - cmake --build . --config Release --parallel 2
  tags: 
    - docker
  artifacts:
    expire_in: 1h
    when: always
    paths:
      - build/


test-plugin:
  image: $CI_REGISTRY/visualization/paraview-image-builder/paraview_master
  stage: test
  needs: ['build-plugin']
  script:
    - cd build
    - ctest
  tags: 
    - docker
  dependencies:
    - build-plugin
